Skip to main content
GET
/
api
/
agents
/
chats
Get chats
curl --request GET \
  --url https://interact.turntwo.com/api/agents/chats \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Organization-Id: <api-key>'
import requests

url = "https://interact.turntwo.com/api/agents/chats"

headers = {
"X-API-Key": "<api-key>",
"X-Organization-Id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-Organization-Id': '<api-key>'}
};

fetch('https://interact.turntwo.com/api/agents/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chats": [
    {
      "id": "<string>",
      "status": "<string>",
      "initiator": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "job": {
        "id": "<string>",
        "name": "<string>"
      },
      "agent": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

X-Organization-Id
string
header
required

Organization ID associated with the API key

Query Parameters

agentId
string

Optional filter by Agent ID

jobId
string

Optional filter by Job ID

Response

Successful response

chats
object[]
required